<?xml version='1.0' encoding='UTF-8'?>
<!--
|   This stylesheet transforms the CDM Ruleframe classification.xml to
|   a web page listing all defined rules.
|   The portlet look-and-feel of the page is coded in tpl-amisLAF.xml
|
|   Author: Harm Verschuren, Feb. 2004
+-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" encoding="UTF-8" indent="yes"/>
  <xsl:strip-space elements="*"/>
  <xsl:include href="tpl-amisLAF.xsl"/>
  <xsl:template match="autorisationrules">
    <html>
      <head>
        <xsl:call-template name="html-head">
          <xsl:with-param name="title">CDMRuleframe Business Rule Classes</xsl:with-param>
          <xsl:with-param name="stylesheet">cdmruleframe.css</xsl:with-param>
        </xsl:call-template>
      </head>
      <body>
        <xsl:call-template name="portlet">
          <xsl:with-param name="title">Business Rule Classes</xsl:with-param>
          <xsl:with-param name="contents">
            <xsl:for-each select="rule[boolean(statement)=false()]">
              <xsl:sort order="ascending" case-order="upper" select="."/>
              <xsl:number count="nn" value="position()"/>&nbsp;&nbsp;
              <xsl:value-of select="title"/>
              <br/>
            </xsl:for-each>
          </xsl:with-param>
        </xsl:call-template>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
