<?xml version='1.0' encoding='UTF-8'?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<!--
|   Named templates file for AMIS Look and Feel for XML applications.
|   Author: Harm Verschuren, Feb. 2004
+-->

  <!--  template for HTML page.  -->
  <xsl:template name="html-head">
    <xsl:param name="title"/>
    <xsl:param name="stylesheet"/>
    <head>
       <link rel="stylesheet" type="text/css" title="PortletStyle">
         <xsl:attribute name="href">
           <xsl:value-of select="$stylesheet"/>
        </xsl:attribute>
       </link>
       <title><xsl:copy-of select="$title"/></title>
    </head>
  </xsl:template>

  <!-- template for portlet laf  -->
  <xsl:template name="portlet">
    <xsl:param name="title"/>
    <xsl:param name="contents"/>

    <table width="500px" cellpadding="0" cellspacing="0">
      <tr class="TH">
        <td width="1%" valign="left">
          <img src="TL.gif"/>
        </td>
        <th width="97%" align="left">
          <!-- &#160; is numerical character entitiy for non-breaking space -->
          <xsl:text>&#160;&#160;</xsl:text>
          <!-- Put whatever is passed as the Title parameter here -->
          <xsl:copy-of select="$title"/>
        </th>
        <td width="1%">
          <xsl:text>&#160;&#160;&#160;</xsl:text>
        </td>
        <td width="1%" valign="top" align="right">
          <img src="TR.gif"/>
        </td>
      </tr>

      <tr class="TR">
        <td width="1%" align="right" valign="top">
          <xsl:text>&#160;&#160;&#160;</xsl:text>
        </td>
        <td width="50%" colspan="3">
          <!-- Put whatever is passed as the contents parameter here -->
          <xsl:copy-of select="$contents"/>
        </td>
      </tr>

      <tr class="TR">
        <td width="1%" align="left" valign="bottom">
          <img src="blank.gif" width="5" height="5" border="0"/>
        </td>
        <td width="98%" colspan="2" heigth="1">
          <img src="blank.gif" width="5" heigth="1" border="0"/>
        </td>
        <td width="1%" align="right" valign="bottom">
          <img src="blank.gif" width="5" heigth="5" border="0"/>
        </td>
      </tr>
    </table>
    <p/>
  </xsl:template>
</xsl:stylesheet>
